# Uses of Class
org.apache.lucene.codecs.FieldInfosFormat

Packages that use FieldInfosFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene94
Lucene 9.4 file format.

- ## Uses of FieldInfosFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return FieldInfosFormat
  Modifier and Type
  Method
  Description
  `abstract FieldInfosFormat`
  Codec.`fieldInfosFormat()`
  Encodes/decodes field infos file
  `FieldInfosFormat`
  FilterCodec.`fieldInfosFormat()`

- ## Uses of FieldInfosFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return FieldInfosFormat
  Modifier and Type
  Method
  Description
  `final FieldInfosFormat`
  Lucene103Codec.`fieldInfosFormat()`

- ## Uses of FieldInfosFormat in org.apache.lucene.codecs.lucene94

  Subclasses of FieldInfosFormat in org.apache.lucene.codecs.lucene94
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene94FieldInfosFormat`
  Lucene 9.0 Field Infos format.